> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Aged Accounts Receivable

> Generate an Aged Accounts Receivable Report



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs post /v6/reports/agedAccountsReceivable
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/reports/agedAccountsReceivable:
    post:
      tags:
        - Reports
      summary: Aged Accounts Receivable
      description: Generate an Aged Accounts Receivable Report
      operationId: generateAgedAccountsReceivable
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgedAccountsReceivableRequestDto'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SuccessResponseReportDtoDimensionValueReportDtoAgedAccountsReportJson
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    AgedAccountsReceivableRequestDto:
      type: object
      properties:
        exportType:
          type: string
          description: Export format for the report
          enum:
            - JSON
            - CSV
        recipients:
          $ref: '#/components/schemas/Recipients'
        grouping:
          $ref: '#/components/schemas/PeriodWithDimensionValueGrouping'
    SuccessResponseReportDtoDimensionValueReportDtoAgedAccountsReportJson:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          $ref: >-
            #/components/schemas/ReportDtoDimensionValueReportDtoAgedAccountsReportJson
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    Recipients:
      type: object
      properties:
        emails:
          type: array
          description: Primary email recipients
          items:
            type: string
            description: Primary email recipients
      description: Email recipients for the report
    PeriodWithDimensionValueGrouping:
      type: object
      properties:
        period:
          type: string
          description: Date period to group the report by
          example: MONTHLY
          enum:
            - DAILY
            - MONTHLY
            - QUARTERLY
            - YEARLY
            - NONE
        dimensionId:
          type: string
          description: Dimension ID to group the report by
          example: tdim_439512
        dateGrouping:
          type: string
          enum:
            - DAILY
            - MONTHLY
            - QUARTERLY
            - YEARLY
            - NONE
      description: Grouping options for the report
    ReportDtoDimensionValueReportDtoAgedAccountsReportJson:
      type: object
      properties:
        json:
          type: array
          description: Report data in JSON format
          items:
            $ref: '#/components/schemas/DimensionValueReportDtoAgedAccountsReportJson'
        url:
          type: string
          description: URL to download the csv report
        meta:
          $ref: '#/components/schemas/ReportMeta'
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    DimensionValueReportDtoAgedAccountsReportJson:
      type: object
      properties:
        name:
          type: string
          description: Dimension value name
          example: East Region
        data:
          type: array
          description: Report data
          items:
            $ref: '#/components/schemas/AgedAccountsReportJson'
      description: Report data in JSON format
    ReportMeta:
      type: object
      properties:
        title:
          type: string
          description: Report title
        generatedOn:
          type: string
          description: Date and time when the report was generated
          format: date-time
        generatedBy:
          type: string
          description: User who generated the report
          example: John Doe
        footerLine:
          type: string
          description: Footer line for the report
          example: Generated by Tight
      description: Metadata about the generated report
    AgedAccountsReportJson:
      type: object
      properties:
        name:
          type: string
          description: Name of the account or grouping
          example: Acme Corp
        balanceCurrent:
          type: integer
          description: Current (not yet due) balance in cents
          format: int32
          example: 100000
        balance0to30:
          type: integer
          description: Balance 0–30 days past due in cents
          format: int32
          example: 50000
        balance31to60:
          type: integer
          description: Balance 31–60 days past due in cents
          format: int32
          example: 25000
        balance61to90:
          type: integer
          description: Balance 61–90 days past due in cents
          format: int32
          example: 10000
        balance91plus:
          type: integer
          description: Balance 91+ days past due in cents
          format: int32
          example: 5000
        totalBalance:
          type: integer
          description: Total outstanding balance in cents
          format: int32
          example: 190000
      description: Report data
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````